"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const access_1 = __importDefault(require("../../lib/cmd/access"));
const exec_1 = __importDefault(require("../../lib/cmd/exec"));
const configs = ['commitlint.config.js', '.commitlintrc.js', '.commitlintrc.json', '.commitlintrc.yml'];
const commitlint = async ({ cwd, cfg, log }) => {
    const isConfigFileFounds = await Promise.all(configs.map((file) => access_1.default(path_1.join(cwd, file))));
    const cmd = './node_modules/.bin/commitlint';
    const args = ['-E', 'HUSKY_GIT_PARAMS', '--color'];
    if (!isConfigFileFounds.every((v) => v)) {
        args.push('--config', path_1.relative(cwd, path_1.join(cfg, 'commitlintrc.json')));
    }
    log.info('Run commitlint');
    await exec_1.default({ cmd, args, cwd, log });
};
exports.default = commitlint;
