"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.extensionAll = void 0;
const path_1 = require("path");
const access_1 = __importDefault(require("../../lib/cmd/access"));
const exec_1 = __importDefault(require("../../lib/cmd/exec"));
const configs = ['.eslintrc.js', '.eslintrc.cjs', '.eslintrc.yaml', '.eslintrc.yml', '.eslintrc.json', '.eslintrc'];
exports.extensionAll = 'js,ts,tsx';
const eslint = async ({ cwd, cfg, log }, { write, files }) => {
    const isConfigFileFounds = await Promise.all(configs.map((file) => access_1.default(path_1.join(cwd, file))));
    const cmd = './node_modules/.bin/eslint';
    const args = ['--color'];
    if (!isConfigFileFounds.every((v) => v)) {
        args.push('--config', path_1.relative(cwd, path_1.join(cfg, 'eslintrc.json')));
    }
    if (write) {
        args.push('--fix');
    }
    if (files) {
        args.push(...files);
    }
    else {
        args.push('--ext', `"${exports.extensionAll}"`, '.');
    }
    log.info('Run eslint');
    await exec_1.default({ cmd, args, cwd, log });
};
exports.default = eslint;
