export { handler as gitCommit } from './sequences/gitCommit';
export { handler as gitMsg } from './sequences/gitMessage';
export { handler as init } from './sequences/init';
export { handler as lint } from './sequences/lint';
export declare const actions: {
    gitAdd: import("./lib/types").Action<{
        files: string[];
    }, void>;
    gitCommit: import("./lib/types").Action<{
        msg: string;
    }, void>;
    gitInit: import("./lib/types").Action<Record<string, unknown>, void>;
    gitStaged: import("./lib/types").Action<Record<string, undefined>, string[]>;
    nodeFile: import("./lib/types").Action<{
        file: string;
    }, void>;
    nodeFolder: import("./lib/types").Action<{
        folder: string;
    }, void>;
    nodeTemplate: import("./lib/types").Action<{
        source: string;
        target?: string | undefined;
        variables: Record<string, string | undefined>;
    }, void>;
    npmInit: import("./lib/types").Action<{
        packageBin: Record<string, string>;
        packageInit: Record<string, string | number | boolean | Record<string, string>>;
        packageUpdate: Record<string, string | number | boolean | Record<string, string>>;
        packageScripts: Record<string, string>;
    }, void>;
    npmInstall: import("./lib/types").Action<{
        packages: string[];
        mode: import("./lib/types").NpmInstallMode;
    }, void>;
    commitlint: import("./lib/types").Action<Record<string, unknown>, void>;
    eslint: import("./lib/types").Action<{
        write?: boolean | undefined;
        files?: string[] | undefined;
    }, void>;
    prettier: import("./lib/types").Action<{
        write?: boolean | undefined;
        extension?: string | undefined;
        files?: string[] | undefined;
    }, void>;
};
